# eric4.E4Gui.E4Completers

Module implementing various kinds of completers.

### Global Attributes

None

### Classes

E4DirCompleter | Class implementing a completer for directory names.
E4FileCompleter | Class implementing a completer for file names.
E4StringListCompleter | Class implementing a completer for string lists.

### Functions

None

## E4DirCompleter

Class implementing a completer for directory names.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E4DirCompleter | Constructor

### Static Methods

None

#### E4DirCompleter (Constructor)

E4DirCompleter(parent = None, completionMode = QCompleter.PopupCompletion, showHidden = False)

Constructor

parent
  parent widget of the completer (QWidget)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)
showHidden=
  flag indicating to show hidden entries as well (boolean)

Up

## E4FileCompleter

Class implementing a completer for file names.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E4FileCompleter | Constructor

### Static Methods

None

#### E4FileCompleter (Constructor)

E4FileCompleter(parent = None, completionMode = QCompleter.PopupCompletion, showHidden = False)

Constructor

parent
  parent widget of the completer (QWidget)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)
showHidden=
  flag indicating to show hidden entries as well (boolean)

Up

## E4StringListCompleter

Class implementing a completer for string lists.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E4StringListCompleter | Constructor

### Static Methods

None

#### E4StringListCompleter (Constructor)

E4StringListCompleter(parent = None, strings = QStringList(), completionMode = QCompleter.PopupCompletion)

Constructor

parent
  parent widget of the completer (QWidget)
strings
  list of string to load into the completer (QStringList)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)

Up